Subject: Re: [CYGWIN] XP Pro cygipc/PostgreSQL test report
From: "George Weaver" <[email-masked]>
To: "Jason Tishler" <[email-masked]>
Cc: <[email-masked]>, "Cygwin" <[email-masked]>
Date: Wed, 16 Apr 2003 09:52:26 -0500

Hi Jason,

As near as I can tell, the establishment of PostgreSQL as a service only
needs to be initially set up with a user name with a password.  After the
initial set up, that user doesn't need
to log on in order for the service to start.  In other words, if I INSTALL
PostgreSQL as a
service under George Weaver, password 123456,  I do not need to log in as
George Weaver for the service to start.  I can do a cold boot, log
in as Guest (no administrative privileges), and PostgreSQL is available to
me.

However, if I change the user name or password that installed PostgreSQL as
a service, it won't start as a service, giving the "The service did not
start due to a logon error" message.  From a non-computer expert, layman
standpoint, it appears that the service needs the security to know that at
one point in time, a properly authorized user installed it, and that user
still exists on the system.

Regards,
George

----- Original Message -----
From: "Jason Tishler" <[email-masked]>
To: "George Weaver" <[email-masked]>
Cc: <[email-masked]>; "Cygwin" <[email-masked]>
Sent: Wednesday, April 16, 2003 8:56 AM
Subject: Re: [CYGWIN] XP Pro cygipc/PostgreSQL test report

> George,
>
> On Wed, Apr 16, 2003 at 08:43:48AM -0500, George Weaver wrote:
> > If you started XP with this user name and id, you should now be able
> > to start the service.  If you haven't started XP with this user name
> > and password, do so, and the service should start automatically when
> > you log in." (posted to <[email-masked]> on March 16).
>
> The above seems to imply that the service will only start upon login.
> Is my interpretation correct?  If so, is there a way to get the service
> to start at boot time (without ntrights)?
>
> Thanks,
> Jason
>
> --
> PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
> Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/